import { CacheData, CacheHandler, CacheISRConfig } from '../models';
export interface FileSystemCacheOptions {
    cacheFolderPath: string;
    prerenderedPagesPath?: string;
    addPrerenderedPagesToCache?: boolean;
}
export declare class FileSystemCacheHandler extends CacheHandler {
    options: FileSystemCacheOptions;
    protected cache: Map<string, CacheData>;
    private get cacheFolderPath();
    constructor(options: FileSystemCacheOptions);
    add(route: string, html: string, config?: CacheISRConfig): Promise<void>;
    get(route: string): Promise<CacheData>;
    has(url: string): Promise<boolean>;
    delete(url: string): Promise<boolean>;
    getAll(): Promise<string[]>;
    private populateCacheFromFilesystem;
    clearCache?(): Promise<boolean>;
    private addPrerenderedPagesToCache;
    private readFromFile;
    private getFileFullPath;
}
