import { NextFunction, Request, Response } from 'express';
import { CacheRegeneration } from './cache-regeneration';
import { ISRLogger } from './isr-logger';
import { CacheHandler, InvalidateConfig, ISRHandlerConfig, RenderConfig, ServeFromCacheConfig } from './models';
export declare class ISRHandler {
    protected config: ISRHandlerConfig;
    protected cache: CacheHandler;
    protected cacheRegeneration: CacheRegeneration;
    protected logger: ISRLogger;
    constructor(config: ISRHandlerConfig);
    invalidate(req: Request, res: Response, config?: InvalidateConfig): Promise<any>;
    serveFromCache(req: Request, res: Response, next: NextFunction, config?: ServeFromCacheConfig): Promise<any>;
    render(req: Request, res: Response, next: NextFunction, config?: RenderConfig): Promise<any>;
}
