import { HttpErrorResponse } from '@angular/common/http';
import * as i0 from "@angular/core";
export interface NgxIsrState {
    revalidate: number | null;
    errors: Error[];
    extra: Record<string, any>;
}
export declare class NgxIsrService {
    private readonly router;
    private state;
    getState(): NgxIsrState;
    patchState(partialState: Partial<NgxIsrState>): void;
    getExtra(): Record<string, any>;
    /**
     * Activate the service and listen to router events
     * @returns void
     */
    activate(): void;
    /**
     * Add error to the state
     * @param error HttpErrorResponse
     * @returns void
     * @example
     * ```typescript
     * this.isrService.addError(err);
     * ```
     */
    addError(error: HttpErrorResponse): void;
    /**
     * Add extra data to the state
     * @param extra Record<string, any>
     * @returns void
     * @example
     * ```typescript
     * this.isrService.addExtra({ foo: 'bar' });
     * ```
     */
    addExtra(extra?: Record<string, any>): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxIsrService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NgxIsrService>;
}
